#
# spec file for package python-colorlog
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-colorlog
Version:        2.10.0
Release:        lp150.1.3
Summary:        Log formatting with colors
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/borntyping/python-colorlog
Source:         https://pypi.io/packages/source/c/colorlog/colorlog-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
colorlog.ColoredFormatter is a formatter for use with Python's logging module.
It allows colors to be placed in the format string, which is mostly useful
when paired with a StreamHandler that is outputting to a terminal.
This is accomplished by added a set of terminal color codes to the record
before it is used to format the string.

%prep
%setup -q -n colorlog-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%{python_sitelib}/colorlog
%{python_sitelib}/colorlog-%{version}-py%{py_ver}.egg-info

%changelog
* Wed Mar  1 2017 aloisio@gmx.com
- Converted to singlespec
* Thu Jan 26 2017 jengelh@inai.de
- Description fixes
* Fri Dec 16 2016 aloisio@gmx.com
- Update to version 2.10.0
  * Parameterise test_ttycolorlog to mock isatty()
  * Add a TTYColoredFormatter class
  * Remove qutebrowser from projects using colorlog
* Mon Oct 10 2016 mardnh@gmx.de
- Update to version 2.7.0
  + Adds a level based formatter
- Fix source url
- minor spec-cleanups
* Wed Feb 11 2015 aloisio@gmx.com
- Initial version 2.6.0
